New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

feedback: LibreOffice 5.3.1.2 on Mac OS X 10.12.4 (Sierra) #391

Open
sjborley opened this Issue Apr 23, 2017 · 10 comments

Comments

Projects
None yet
8 participants
@sjborley

sjborley commented Apr 23, 2017

On running the following I get a error, and a request for feedback

steven$ unoconv -f csv myfile.ods
unoconv: Cannot find a suitable pyuno library and python binary combination in /Applications/LibreOffice.app/Contents
ERROR: No module named uno

unoconv: Cannot find a suitable office installation on your system.
ERROR: Please locate your office installation and send your feedback to:
http://github.com/dagwieers/unoconv/issues

This is what I found...
=== LibreOffice 5.3.1.2 on Mac OS X 10.12.4 (Sierra)
uno:: /Applications/LibreOffice.app/Contents//MacOS/uno
programs:: not present as a directory or a symlink
soffice.bin:: /Applications/LibreOffice.app/Contents/MacOS/soffice
python.bin:: not present
python:: /Applications/LibreOffice.app/Contents/Resources/python
pyuno.so:: /Applications/LibreOffice.app/Contents/Frameworks/libpyuno.so
pyuno.dylib:: /Applications/LibreOffice.app/Contents/Frameworks/libpyuno.dylib
python library /Applications/LibreOffice.app/Contents//Frameworks/LibreOfficePython.framework
python-core:: not present

/Applications/LibreOffice.app/Contents/Resources/python --version
Python 3.5.3

Note the unoconv I'm using was cloned from git today

@harrywynn

This comment has been minimized.

Show comment
Hide comment
@harrywynn

harrywynn May 1, 2017

@sjborley try using an older version of Libre Office. This one worked for me: https://libreoffice.en.uptodown.com/mac/download/40075

I've also installed unoconv through Homebrew, if that helps.

harrywynn commented May 1, 2017

@sjborley try using an older version of Libre Office. This one worked for me: https://libreoffice.en.uptodown.com/mac/download/40075

I've also installed unoconv through Homebrew, if that helps.

@SainteCelery

This comment has been minimized.

Show comment
Hide comment
@SainteCelery

SainteCelery Jul 13, 2017

I'm having the same issue on the same system. I, also, installed both LibreOffice and unoconv with homebrew.

Installing a version of LibreOffice two entire point versions old seems like a bad idea. What other solutions exist? Is there a fix for this bug in progress?

SainteCelery commented Jul 13, 2017

I'm having the same issue on the same system. I, also, installed both LibreOffice and unoconv with homebrew.

Installing a version of LibreOffice two entire point versions old seems like a bad idea. What other solutions exist? Is there a fix for this bug in progress?

@regebro regebro added the MacOS X label Oct 14, 2017

@regebro

This comment has been minimized.

Show comment
Hide comment
@regebro

regebro Oct 15, 2017

Collaborator

All our integration tests fail on Mac OS lately, something has happened there. I don't have OS X available, and I don't personally need OS X support, so I'm looking for help here, somebody that are willing to try to debug this and figure out what fails.

Collaborator

regebro commented Oct 15, 2017

All our integration tests fail on Mac OS lately, something has happened there. I don't have OS X available, and I don't personally need OS X support, so I'm looking for help here, somebody that are willing to try to debug this and figure out what fails.

@yugonline

This comment has been minimized.

Show comment
Hide comment
@yugonline

yugonline Oct 29, 2017

Thank you @harrywynn I got it to work with your suggested changes

P.S: Anyone knows what this warning is about?
CoreAnimation: warning, deleted thread with uncommitted CATransaction; set CA_DEBUG_TRANSACTIONS=1 in environment to log backtraces, or set CA_ASSERT_MAIN_THREAD_TRANSACTIONS=1 to abort when an implicit transaction isn't created on a main thread.

It seems like it is a warning thrown by LibreOffice. But still.

yugonline commented Oct 29, 2017

Thank you @harrywynn I got it to work with your suggested changes

P.S: Anyone knows what this warning is about?
CoreAnimation: warning, deleted thread with uncommitted CATransaction; set CA_DEBUG_TRANSACTIONS=1 in environment to log backtraces, or set CA_ASSERT_MAIN_THREAD_TRANSACTIONS=1 to abort when an implicit transaction isn't created on a main thread.

It seems like it is a warning thrown by LibreOffice. But still.

@ansiblejunky

This comment has been minimized.

Show comment
Hide comment
@ansiblejunky

ansiblejunky Dec 22, 2017

I found out you can instead use the latest version of LibreOffice and simply convert your documents using the command-line options. It seems to me an easier and more straight-forward way of converting documents. Follow the instructions here: https://ask.libreoffice.org/en/question/12084/how-to-convert-documents-to-pdf-on-osx/

ansiblejunky commented Dec 22, 2017

I found out you can instead use the latest version of LibreOffice and simply convert your documents using the command-line options. It seems to me an easier and more straight-forward way of converting documents. Follow the instructions here: https://ask.libreoffice.org/en/question/12084/how-to-convert-documents-to-pdf-on-osx/

@regebro

This comment has been minimized.

Show comment
Hide comment
@regebro

regebro Dec 22, 2017

Collaborator

Yes, but that's not practical if you convert a lot of documents, as you will have to start Libreoffice every time you convert.

But absolutely, if you only convert a document here and there, that's probably a better solution.

Collaborator

regebro commented Dec 22, 2017

Yes, but that's not practical if you convert a lot of documents, as you will have to start Libreoffice every time you convert.

But absolutely, if you only convert a document here and there, that's probably a better solution.

@SainteCelery

This comment has been minimized.

Show comment
Hide comment
@SainteCelery

SainteCelery commented Dec 22, 2017

@janssen

This comment has been minimized.

Show comment
Hide comment
@janssen

janssen Apr 12, 2018

Well, the merge helped some, but it's still not fixed. I just installed from the master branch, and got this:

$ unoconv -vvv --help
Traceback (most recent call last):
  File "/opt/CBMX/bin/unoconv", line 4, in <module>
    __import__('pkg_resources').run_script('unoconv==0.8.2', 'unoconv')
  File "/opt/CBMX/lib/python2.7/site-packages/pkg_resources/__init__.py", line 748, in run_script
    self.require(requires)[0].run_script(script_name, ns)
  File "/opt/CBMX/lib/python2.7/site-packages/pkg_resources/__init__.py", line 1509, in run_script
    raise ResolutionError("No script named %r" % script_name)
pkg_resources.ResolutionError: No script named 'unoconv'
$

In other words, it's still not finding the right Python. Might be because the script still mentions OOoFramework? Line 118.

janssen commented Apr 12, 2018

Well, the merge helped some, but it's still not fixed. I just installed from the master branch, and got this:

$ unoconv -vvv --help
Traceback (most recent call last):
  File "/opt/CBMX/bin/unoconv", line 4, in <module>
    __import__('pkg_resources').run_script('unoconv==0.8.2', 'unoconv')
  File "/opt/CBMX/lib/python2.7/site-packages/pkg_resources/__init__.py", line 748, in run_script
    self.require(requires)[0].run_script(script_name, ns)
  File "/opt/CBMX/lib/python2.7/site-packages/pkg_resources/__init__.py", line 1509, in run_script
    raise ResolutionError("No script named %r" % script_name)
pkg_resources.ResolutionError: No script named 'unoconv'
$

In other words, it's still not finding the right Python. Might be because the script still mentions OOoFramework? Line 118.

@janssen

This comment has been minimized.

Show comment
Hide comment
@janssen

janssen Apr 12, 2018

Thought I'd try using the LibreOffice python to install it:

$ /Applications/LibreOffice.app/Contents/Resources/python setup.py install
/Applications/LibreOffice.app/Contents/Resources/python setup.py install
Traceback (most recent call last):
  File "/Applications/LibreOffice.app/Contents/Frameworks/LibreOfficePython.framework/Versions/3.5/lib/python3.5/distutils/sysconfig.py", line 419, in _init_posix
    parse_makefile(filename, g)
  File "/Applications/LibreOffice.app/Contents/Frameworks/LibreOfficePython.framework/Versions/3.5/lib/python3.5/distutils/sysconfig.py", line 288, in parse_makefile
    fp = TextFile(fn, strip_comments=1, skip_blanks=1, join_lines=1, errors="surrogateescape")
  File "/Applications/LibreOffice.app/Contents/Frameworks/LibreOfficePython.framework/Versions/3.5/lib/python3.5/distutils/text_file.py", line 100, in __init__
    self.open(filename)
  File "/Applications/LibreOffice.app/Contents/Frameworks/LibreOfficePython.framework/Versions/3.5/lib/python3.5/distutils/text_file.py", line 115, in open
    self.file = io.open(self.filename, 'r', errors=self.errors)
FileNotFoundError: [Errno 2] No such file or directory: '/Applications/LibreOffice.app/Contents/Frameworks/LibreOfficePython.framework/lib/python3.5/config-3.5m/Makefile'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "setup.py", line 117, in <module>
    zip_safe = False
  File "/Applications/LibreOffice.app/Contents/Frameworks/LibreOfficePython.framework/Versions/3.5/lib/python3.5/distutils/core.py", line 121, in setup
    dist.parse_config_files()
  File "/Applications/LibreOffice.app/Contents/Frameworks/LibreOfficePython.framework/Versions/3.5/lib/python3.5/distutils/dist.py", line 386, in parse_config_files
    filenames = self.find_config_files()
  File "/Applications/LibreOffice.app/Contents/Frameworks/LibreOfficePython.framework/Versions/3.5/lib/python3.5/distutils/dist.py", line 338, in find_config_files
    check_environ()
  File "/Applications/LibreOffice.app/Contents/Frameworks/LibreOfficePython.framework/Versions/3.5/lib/python3.5/distutils/util.py", line 179, in check_environ
    os.environ['PLAT'] = get_platform()
  File "/Applications/LibreOffice.app/Contents/Frameworks/LibreOfficePython.framework/Versions/3.5/lib/python3.5/distutils/util.py", line 103, in get_platform
    distutils.sysconfig.get_config_vars(),
  File "/Applications/LibreOffice.app/Contents/Frameworks/LibreOfficePython.framework/Versions/3.5/lib/python3.5/distutils/sysconfig.py", line 482, in get_config_vars
    func()
  File "/Applications/LibreOffice.app/Contents/Frameworks/LibreOfficePython.framework/Versions/3.5/lib/python3.5/distutils/sysconfig.py", line 425, in _init_posix
    raise DistutilsPlatformError(my_msg)
distutils.errors.DistutilsPlatformError: invalid Python installation: unable to open /Applications/LibreOffice.app/Contents/Frameworks/LibreOfficePython.framework/lib/python3.5/config-3.5m/Makefile (No such file or directory)
$

You'll notice that the "Versions/3.5" is missing from the path that can't be found.

janssen commented Apr 12, 2018

Thought I'd try using the LibreOffice python to install it:

$ /Applications/LibreOffice.app/Contents/Resources/python setup.py install
/Applications/LibreOffice.app/Contents/Resources/python setup.py install
Traceback (most recent call last):
  File "/Applications/LibreOffice.app/Contents/Frameworks/LibreOfficePython.framework/Versions/3.5/lib/python3.5/distutils/sysconfig.py", line 419, in _init_posix
    parse_makefile(filename, g)
  File "/Applications/LibreOffice.app/Contents/Frameworks/LibreOfficePython.framework/Versions/3.5/lib/python3.5/distutils/sysconfig.py", line 288, in parse_makefile
    fp = TextFile(fn, strip_comments=1, skip_blanks=1, join_lines=1, errors="surrogateescape")
  File "/Applications/LibreOffice.app/Contents/Frameworks/LibreOfficePython.framework/Versions/3.5/lib/python3.5/distutils/text_file.py", line 100, in __init__
    self.open(filename)
  File "/Applications/LibreOffice.app/Contents/Frameworks/LibreOfficePython.framework/Versions/3.5/lib/python3.5/distutils/text_file.py", line 115, in open
    self.file = io.open(self.filename, 'r', errors=self.errors)
FileNotFoundError: [Errno 2] No such file or directory: '/Applications/LibreOffice.app/Contents/Frameworks/LibreOfficePython.framework/lib/python3.5/config-3.5m/Makefile'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "setup.py", line 117, in <module>
    zip_safe = False
  File "/Applications/LibreOffice.app/Contents/Frameworks/LibreOfficePython.framework/Versions/3.5/lib/python3.5/distutils/core.py", line 121, in setup
    dist.parse_config_files()
  File "/Applications/LibreOffice.app/Contents/Frameworks/LibreOfficePython.framework/Versions/3.5/lib/python3.5/distutils/dist.py", line 386, in parse_config_files
    filenames = self.find_config_files()
  File "/Applications/LibreOffice.app/Contents/Frameworks/LibreOfficePython.framework/Versions/3.5/lib/python3.5/distutils/dist.py", line 338, in find_config_files
    check_environ()
  File "/Applications/LibreOffice.app/Contents/Frameworks/LibreOfficePython.framework/Versions/3.5/lib/python3.5/distutils/util.py", line 179, in check_environ
    os.environ['PLAT'] = get_platform()
  File "/Applications/LibreOffice.app/Contents/Frameworks/LibreOfficePython.framework/Versions/3.5/lib/python3.5/distutils/util.py", line 103, in get_platform
    distutils.sysconfig.get_config_vars(),
  File "/Applications/LibreOffice.app/Contents/Frameworks/LibreOfficePython.framework/Versions/3.5/lib/python3.5/distutils/sysconfig.py", line 482, in get_config_vars
    func()
  File "/Applications/LibreOffice.app/Contents/Frameworks/LibreOfficePython.framework/Versions/3.5/lib/python3.5/distutils/sysconfig.py", line 425, in _init_posix
    raise DistutilsPlatformError(my_msg)
distutils.errors.DistutilsPlatformError: invalid Python installation: unable to open /Applications/LibreOffice.app/Contents/Frameworks/LibreOfficePython.framework/lib/python3.5/config-3.5m/Makefile (No such file or directory)
$

You'll notice that the "Versions/3.5" is missing from the path that can't be found.

@EvgeniyGorbachev

This comment has been minimized.

Show comment
Hide comment
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment